Bug 4345 - [PATCH]: Active FTP mode for RPM.
[PATCH]: Active FTP mode for RPM.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-04 04:24 EDT by Pekka Savola
Modified: 2007-04-18 12:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 10:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary patch for RPM-4.0. (3.48 KB, patch)
2000-07-04 06:22 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 1999-08-04 04:24:01 EDT
Actually this is more of a suggestion than bug but here it
comes..

RPM seens to always use passive FTP.  There are some
firewall implementations (we have one; I think it's based on
tis fwtk proxy package on freebsd) where passive FTP does
_NOT_ work with otherwise correct ftp proxy settings -
active mode is required.  This might be the case with other
proxy-firewalls too.

I'd like to see an option like --ftp-active or something
done.  As it is, we can't do Redhat FTP installs or
updates w/ RPM now.
Comment 1 Pekka Savola 2000-07-04 06:22:36 EDT
Created attachment 858 [details]
Preliminary patch for RPM-4.0.
Comment 2 Pekka Savola 2000-07-15 16:00:54 EDT
Some more rationale:

 - TIS FWTK can't cope with passive FTP (if you get it to work, please
tell me how ;) -- this is probably a problem with many other real proxy
firewalls with DMZ's too.
 - Some Stateful firewalls can create dynamic access lists for active
mode, but don't support passive (and thus active mode is more secure)
 - Some FTP servers have passive FTP mode disabled (usually tied to below)
 - Some FTP servers are behind a restrictive packet filtering firewall
which allows only active FTP (this can create a situation where client
firewall/program only allows one mode, the server firewall the other).

Comment 3 Paul Nasrat 2005-09-29 10:54:10 EDT
This feature request is not being considered for current RPM development, users
are encouraged to use dependency solvers which have better handling of remote
package fetching than rpm cli.

To petition this feature into upstream rpm please use the rpm-devel list:

https://lists.dulug.duke.edu/mailman/listinfo/rpm-devel

Note You need to log in before you can comment on or make changes to this bug.